## golang-github-sendgrid-rest 2.6.9

=== Makefile ===
.PHONY: test install

install:
	go get -t -v ./...

test: install
	go test -race -cover -v ./...

=== debian/changelog ===
golang-github-sendgrid-rest (2.6.9-2) unstable; urgency=medium

  * source upload

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 05 Jul 2023 22:43:54 +0200

golang-github-sendgrid-rest (2.6.9-1) unstable; urgency=medium

  * Initial release

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 03 Jul 2023 22:43:54 +0200

=== debian/control ===
Source: golang-github-sendgrid-rest
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-golang-x-net-dev
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-sendgrid-rest
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-sendgrid-rest.git
Homepage: https://github.com/sendgrid/rest
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/sendgrid/rest

Package: golang-github-sendgrid-rest-dev
Architecture: all
Depends: golang-golang-x-net-dev,
         ${misc:Depends}
Description: SendGrid's Golang HTTP Client for calling APIs (library)
 This package contains a library to quickly and easily access any
 RESTful or RESTful-like API.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

override_dh_auto_install:
	dh_auto_install
	find
	rm -rf ./debian/golang-github-sendgrid-rest-dev/usr/bin

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%golang-github-sendgrid-rest-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/" \
  https://github.com/sendgrid/rest/tags .*/v?(\d\S*)\.tar\.gz debian
